Mail::Reporter(3)

NAME
Mail::Reporter - base-class and error reporter for Mail::Box

INHERITANCE
 Mail::Reporter is extended by
   HTML::FromMail
   HTML::FromMail::Format
   HTML::FromMail::Object
   Mail::Box
   Mail::Box::Collection
   Mail::Box::Identity
   Mail::Box::Locker
   Mail::Box::MH::Index
   Mail::Box::MH::Labels
   Mail::Box::Manager
   Mail::Box::Parser
   Mail::Box::Search
   Mail::Box::Thread::Manager
   Mail::Box::Thread::Node
   Mail::Message
   Mail::Message::Body
   Mail::Message::Body
   Mail::Message::Body::Delayed
   Mail::Message::Convert
   Mail::Message::Field
   Mail::Message::Field::Attribute
   Mail::Message::Head
   Mail::Message::Head::FieldGroup
   Mail::Message::TransferEnc
   Mail::Server
   Mail::Transport

SYNOPSIS

DESCRIPTION
The "Mail::Reporter" class is the base class for all classes, except Mail::Message::Field::Fast because it would become slow... This base class is used during initiation of the objects.

METHODS
The "Mail::Reporter" class is the base for nearly all other objects. It can store and report problems, and contains the general constructor new().

  Constructors

$class->new(%options)
    This is the base constructor for all modules, (as long as there is no need for another base object)

  Attributes

  Error handling

$obj->AUTOLOAD()
    By default, produce a nice warning if the sub-classes cannot resolve a method.

$obj->notImplemented()

  Cleanup

$obj->DESTROY()
    Cleanup the object.

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Message version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.